Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2014-0210

CVE information

Published

8 years ago

Last Modified

4 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Multiple buffer overflows in X.Org libXfont before 1.4.8 and 1.4.9x before 1.4.99.901 allow remote font servers to execute arbitrary code via a crafted xfs protocol reply to the (1) _fs_recv_conn_setup, (2) fs_read_open_font, (3) fs_read_query_info, (4) fs_read_extent_info, (5) fs_read_glyphs, (6) fs_read_list, or (7) fs_read_list_info function..

CVSSv2.0 Score

Severity
High
Base Score
7.5/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
6.4/10
Confidentiality Impact
Partial
Availability Impact
Partial
Integrity Impact
Partial

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:x:libxfont:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.4.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.3.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.3.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.3.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.3.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.4.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.4.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.4.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.4.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.4.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.4.99:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.4.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:canonical:ubuntu_linux:13.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:canonical:ubuntu_linux:12.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:canonical:ubuntu_linux:14.04:*:*:*:lts:*:*:*
  Yes
- -
cpe:2.3:o:canonical:ubuntu_linux:12.04:-:lts:*:*:*:*:*
  Yes
- -
cpe:2.3:o:canonical:ubuntu_linux:10.04:-:lts:*:*:*:*:*
  Yes
- -